Make $? compatible with set -e in system tests

Ensure handling of return code from previous command doesn't cause the
script to halt if that code is non-zero when running with `set -e`.
This commit is contained in:
Tom Krizek
2023-06-09 10:57:34 +02:00
parent 1436025e20
commit 837c190d9e
19 changed files with 89 additions and 99 deletions

View File

@@ -24,8 +24,7 @@ israw () {
$PERL -e 'binmode STDIN;
read(STDIN, $input, 8);
($style, $version) = unpack("NN", $input);
exit 1 if ($style != 2 || $version > 1);' < "$1"
return $?
exit 1 if ($style != 2 || $version > 1);' < "$1" || return $?
}
isfull () {